package com.changda.gjjapp.db.entity;

import java.util.*;
import com.fasterxml.jackson.annotation.JsonProperty;

public class M_XWINFO {

	// 栏目id
	@JsonProperty("I_CATAID")
	private String i_cataid;

	// 栏目名称
	@JsonProperty("VC_CATANAME")
	private String vc_cataname;

	// 网站id
	@JsonProperty("I_WEBID")
	private String i_webid;

	// 网站名称
	@JsonProperty("VC_WEBNAME")
	private String vc_webname;

	// 流水号
	@JsonProperty("I_ID")
	private String i_id;

	// 标题
	@JsonProperty("VC_TITLE")
	private String vc_title;

	// 副标题
	@JsonProperty("VC_SECTITLE")
	private String vc_sectitle;

	// 引题
	@JsonProperty("VC_THDTITLE")
	private String vc_thdtitle;

	// 作者
	@JsonProperty("VC_AUTHOR")
	private String vc_author;

	// 来源
	@JsonProperty("VC_SOURCE")
	private String vc_source;

	// 录入人id
	@JsonProperty("VC_USERID")
	private String vc_userid;

	// 录入人
	@JsonProperty("VC_EDITOR")
	private String vc_editor;

	// 关键字
	@JsonProperty("VC_KEYWORD")
	private String vc_keyword;

	// 摘要
	@JsonProperty("VC_DESCRIBE")
	private String vc_describe;

	// 显示时间
	@JsonProperty("C_DEPLOYTIME")
	private String c_deploytime;

	// 创建时间
	@JsonProperty("C_CREATEDATE")
	private Date c_createdate;

	// 图片
	@JsonProperty("VC_PIC")
	private String vc_pic;

	// 动画
	@JsonProperty("VC_FLASH")
	private String vc_flash;

	// 附件
	@JsonProperty("VC_ATTACH")
	private String vc_attach;

	// 视频
	@JsonProperty("VC_MEDIA")
	private String vc_media;

	// 信息内容
	@JsonProperty("VC_CONTENT")
	private String vc_content;

	// 是否网站 0.不发送1.发送
	@JsonProperty("ISWZ")
	private int iswz;

	// 是否app0.不发送1.发送
	@JsonProperty("ISAPP")
	private int isapp;

	// 是否微信0.不发送1.发送
	@JsonProperty("ISWX")
	private int iswx;

	// 是否智能终端0.不发送1.发送
	@JsonProperty("ISZNZD")
	private int isznzd;

	// 是否审核0.未审核1.审核
	@JsonProperty("ISSH")
	private int issh;

	// 操作人
	@JsonProperty("OPERATOR")
	private String operator;

	// 修改时间
	@JsonProperty("UPDATETIME")
	private String updatetime;

	// 是否发送过网站
	@JsonProperty("ISFSGWZ")
	private int isfsgwz;

	// 轮播图链接
	@JsonProperty("LBT")
	private String lbt;

	// 预约发送时间
	@JsonProperty("YYFSSJ")
	private String yyfssj;

	// 是否即时发送（1.预约发送0.即时发送）
	@JsonProperty("ISYYFS")
	private int isyyfs;

	public String getYyfssj() {
		return yyfssj;
	}

	public void setYyfssj(String yyfssj) {
		this.yyfssj = yyfssj;
	}

	public int getIsyyfs() {
		return isyyfs;
	}

	public void setIsyyfs(int isyyfs) {
		this.isyyfs = isyyfs;
	}

	public String getLbt() {
		return lbt;
	}

	public void setLbt(String lbt) {
		this.lbt = lbt;
	}

	public int getIsfsgwz() {
		return isfsgwz;
	}

	public void setIsfsgwz(int isfsgwz) {
		this.isfsgwz = isfsgwz;
	}

	public String getUpdatetime() {
		return updatetime;
	}

	public void setUpdatetime(String updatetime) {
		this.updatetime = updatetime;
	}

	public String getOperator() {
		return operator;
	}

	public void setOperator(String operator) {
		this.operator = operator;
	}

	public String getI_cataid() {
		return i_cataid;
	}

	public void setI_cataid(String i_cataid) {
		this.i_cataid = i_cataid;
	}

	public String getVc_cataname() {
		return vc_cataname;
	}

	public void setVc_cataname(String vc_cataname) {
		this.vc_cataname = vc_cataname;
	}

	public String getI_webid() {
		return i_webid;
	}

	public void setI_webid(String i_webid) {
		this.i_webid = i_webid;
	}

	public String getVc_webname() {
		return vc_webname;
	}

	public void setVc_webname(String vc_webname) {
		this.vc_webname = vc_webname;
	}

	public String getI_id() {
		return i_id;
	}

	public void setI_id(String i_id) {
		this.i_id = i_id;
	}

	public String getVc_title() {
		return vc_title;
	}

	public void setVc_title(String vc_title) {
		this.vc_title = vc_title;
	}

	public String getVc_sectitle() {
		return vc_sectitle;
	}

	public void setVc_sectitle(String vc_sectitle) {
		this.vc_sectitle = vc_sectitle;
	}

	public String getVc_thdtitle() {
		return vc_thdtitle;
	}

	public void setVc_thdtitle(String vc_thdtitle) {
		this.vc_thdtitle = vc_thdtitle;
	}

	public String getVc_author() {
		return vc_author;
	}

	public void setVc_author(String vc_author) {
		this.vc_author = vc_author;
	}

	public String getVc_source() {
		return vc_source;
	}

	public void setVc_source(String vc_source) {
		this.vc_source = vc_source;
	}

	public String getVc_userid() {
		return vc_userid;
	}

	public void setVc_userid(String vc_userid) {
		this.vc_userid = vc_userid;
	}

	public String getVc_editor() {
		return vc_editor;
	}

	public void setVc_editor(String vc_editor) {
		this.vc_editor = vc_editor;
	}

	public String getVc_keyword() {
		return vc_keyword;
	}

	public void setVc_keyword(String vc_keyword) {
		this.vc_keyword = vc_keyword;
	}

	public String getVc_describe() {
		return vc_describe;
	}

	public void setVc_describe(String vc_describe) {
		this.vc_describe = vc_describe;
	}

	public String getC_deploytime() {
		return c_deploytime;
	}

	public void setC_deploytime(String c_deploytime) {
		this.c_deploytime = c_deploytime;
	}

	public Date getC_createdate() {
		return c_createdate;
	}

	public void setC_createdate(Date c_createdate) {
		this.c_createdate = c_createdate;
	}

	public String getVc_pic() {
		return vc_pic;
	}

	public void setVc_pic(String vc_pic) {
		this.vc_pic = vc_pic;
	}

	public String getVc_flash() {
		return vc_flash;
	}

	public void setVc_flash(String vc_flash) {
		this.vc_flash = vc_flash;
	}

	public String getVc_attach() {
		return vc_attach;
	}

	public void setVc_attach(String vc_attach) {
		this.vc_attach = vc_attach;
	}

	public String getVc_media() {
		return vc_media;
	}

	public void setVc_media(String vc_media) {
		this.vc_media = vc_media;
	}

	public String getVc_content() {
		return vc_content;
	}

	public void setVc_content(String vc_content) {
		this.vc_content = vc_content;
	}

	public int getIswz() {
		return iswz;
	}

	public void setIswz(int iswz) {
		this.iswz = iswz;
	}

	public int getIsapp() {
		return isapp;
	}

	public void setIsapp(int isapp) {
		this.isapp = isapp;
	}

	public int getIswx() {
		return iswx;
	}

	public void setIswx(int iswx) {
		this.iswx = iswx;
	}

	public int getIsznzd() {
		return isznzd;
	}

	public void setIsznzd(int isznzd) {
		this.isznzd = isznzd;
	}

	public int getIssh() {
		return issh;
	}

	public void setIssh(int issh) {
		this.issh = issh;
	}

}
